<template>
  <form @submit.prevent="addName">
    <input name="firstName" placeholder="Vorname" v-model="firstName" required>
    <input name="lastName" placeholder="Nachname" v-model="lastName" required>
    <div>
      <button type="submit">Speichern</button>
    </div>
  </form>
  <table v-if="personStore.persons.length">
    <thead>
    <tr>
      <th>Vorname</th>
      <th>Nachname</th>
    </tr>
    </thead>
    <tbody>
    <PersonEntry v-for="person in personStore.persons" :personId="person._id"/>
    </tbody>
  </table>
  <p v-else>Bitte füge eine Person hinzu</p>
</template>

<script setup>
  import { ref } from 'vue'
  import PersonEntry from '@/components/PersonEntry.vue'
  import { usePersonStore } from '@/stores/persons'

  const firstName = ref('')
  const lastName = ref('')
  const personStore = usePersonStore()

  function addName() {
    personStore.createUser(firstName.value, lastName.value)
    firstName.value = ''
    lastName.value = ''
  }
</script>
